[Avida-cvs] [avida-svn] r450 - in branches/developers/avida-edward/source/python/scripts: . osx osx/one_step_build

avidaedward@myxo.css.msu.edu avidaedward at myxo.css.msu.edu
Thu Jan 26 18:33:19 PST 2006


Author: avidaedward
Date: 2006-01-26 21:33:19 -0500 (Thu, 26 Jan 2006)
New Revision: 450

Added:
   branches/developers/avida-edward/source/python/scripts/osx/
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/All.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Avida-ED.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Boost.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/CMake.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ElementTree.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/GCC-XML.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/IPython.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Numeric.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Py2App.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQt.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQwt.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Python.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Qt.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ReadLine.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/SIP.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Subversion.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Xcode.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/generic-python-pkg.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/pkg-install.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/qt-environment.bash
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/save-output
   branches/developers/avida-edward/source/python/scripts/osx/one_step_build/unpack-tarball.bash
Log:

Added scripts for one-step build on OS X.



Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/All.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/All.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/All.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+usage()
+{
+	echo "Use: $0 [-a] [-b] [-v] [-p <svn_password>] [-r <revision_number] -t <path_to_archives_dir>" >&2
+	echo "  -a -- build Avida-ED." >&2
+	echo "  -b -- build the build-environment required to build Avida-ED." >&2
+	echo "  -v -- be verbose." >&2
+	echo "  -p <svn_password> -- password for svn user." >&2
+	echo "  -r <revision_number> -- ." >&2
+	echo "  -t <path_to_archives_dir> -- full path to directory containing archived third-party sources." >&2
+	exit 1
+}
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	SHOULD_BUILD_AVIDA_ED=Y; shift 1;;
+		-b )	SHOULD_BUILD_THIRD_PARTY=Y; shift 1;;
+		-v )	DEBUG=Y; shift 1;; 
+		-p )	SVN_PASSWORD=$2; shift 2;; 
+		-r )	REVISION=$2; shift 2;;
+		-t )	ARCHIVES_DIR=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]
+then
+	echo "I'm going to be verbose, to make debugging easier..."
+	set -x
+else
+	DEBUG=N
+fi
+if [ $# != 0 ]; then usage; fi
+if [ "$SHOULD_BUILD_THIRD_PARTY" == "Y" ]
+then
+	if [ "$ARCHIVES_DIR" == "" ]; then usage; fi
+fi
+if [ "$SHOULD_BUILD_AVIDA_ED" == "Y" ]
+then
+	if [ "$SVN_PASSWORD" == "" ]; then usage; fi
+fi
+
+export GCCXML_COMPILER=g++-3.3
+export MACOS_DEPLOYMENT_TARGET=10.4
+export PATH=/usr/local/bin:$PATH
+
+SCRIPT_DIR=`dirname "$0"`
+AVIDA_SRC_DIR="$PWD"
+AVIDA_BLD_DIR="$PWD/bld"
+AVIDA_REPOSITORY="svn://myxo.css.msu.edu/avida2/branches/developers/avida-edward"
+BOOST_VERSION_STRING=1_33
+
+if [ "$SHOULD_BUILD_THIRD_PARTY" == "Y" ]
+then
+	#"$SCRIPT_DIR"/Subversion.bash -a "$ARCHIVES_DIR"/subversion-client-1.2.3.dmg -p "*SubversionClient*.pkg" -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/CMake.bash -a "$ARCHIVES_DIR"/cmake-2.0.5-osx.dmg -p "*CMakeInstaller*.pkg" -v "$DEBUG"
+
+	##"$SCRIPT_DIR"/Xcode.bash -a "$ARCHIVES_DIR"/xcode_2.2_8m654_018213974.dmg -p "*XcodeTools*.mpkg" -v "$DEBUG"
+	#"$SCRIPT_DIR"/Xcode.bash -a "$ARCHIVES_DIR"/xcode_2.2.1_8g1165_018213632.dmg -p "*XcodeTools*.mpkg" -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/ReadLine.bash -a "$ARCHIVES_DIR"/readline-5.0-4-osx4.tar.gz -b "$ARCHIVES_DIR" -s readline-5.0 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/Python.bash -a "$ARCHIVES_DIR"/Python-2.4.2.tar.bz2 -b "$ARCHIVES_DIR" -s Python-2.4.2 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/Qt.bash -a "$ARCHIVES_DIR"/qt-mac-free-3.3.5.tar.bz2 -b "$ARCHIVES_DIR" -s qt-mac-free-3.3.5 -q "$ARCHIVES_DIR"/qt-mac-free-3.3.5 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/SIP.bash -a "$ARCHIVES_DIR"/sip-4.3.2.tar.gz -b "$ARCHIVES_DIR" -s sip-4.3.2 -q "$ARCHIVES_DIR"/qt-mac-free-3.3.5 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/PyQt.bash -a "$ARCHIVES_DIR"/PyQt-mac-gpl-3.15.1.tar.gz -b "$ARCHIVES_DIR" -s PyQt-mac-gpl-3.15.1 -q "$ARCHIVES_DIR"/qt-mac-free-3.3.5 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/Numeric.bash -a "$ARCHIVES_DIR"/Numeric-23.6-osx3.tar.gz -b "$ARCHIVES_DIR" -s Numeric-23.6-osx3 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/PyQwt.bash -a "$ARCHIVES_DIR"/PyQwt-4.2.tar.gz -b "$ARCHIVES_DIR" -s PyQwt-4.2 -q "$ARCHIVES_DIR"/qt-mac-free-3.3.5 -v "$DEBUG"
+
+	"$SCRIPT_DIR"/ElementTree.bash -a "$ARCHIVES_DIR"/elementtree-1.2.6-20050316.tar.gz -b "$ARCHIVES_DIR" -s elementtree-1.2.6-20050316 -v "$DEBUG"
+
+	"$SCRIPT_DIR"/GCC-XML.bash -a "$ARCHIVES_DIR"/gccxml-0.6.0.tar.gz -b "$ARCHIVES_DIR" -s gccxml-0.6.0 -v "$DEBUG"
+
+	"$SCRIPT_DIR"/Boost.bash -a "$ARCHIVES_DIR"/boost_1_33_0-osx4.tar.bz2 -b "$ARCHIVES_DIR" -s boost_1_33_0 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/Py2App.bash -a "$ARCHIVES_DIR"/py2app-0.1.7.tar.gz -b "$ARCHIVES_DIR" -s py2app-0.1.7 -v "$DEBUG"
+
+	#"$SCRIPT_DIR"/IPython.bash -a "$ARCHIVES_DIR"/ipython-0.6.15.tar.gz -b "$ARCHIVES_DIR" -s ipython-0.6.15 -v "$DEBUG"
+fi
+
+if [ "$SHOULD_BUILD_AVIDA_ED" == "Y" ]
+then
+	if [ "${DEBUG}" == "Y" ]; then set +x; fi
+	if [ "$REVISION" == "" ]
+	then
+		"$SCRIPT_DIR"/Avida-ED.bash -u "$AVIDA_REPOSITORY" -p "$SVN_PASSWORD" -s "$AVIDA_SRC_DIR" -b "$AVIDA_BLD_DIR" -q "$ARCHIVES_DIR"/qt-mac-free-3.3.5 -n "$BOOST_VERSION_STRING" -v "$DEBUG"
+	else
+		"$SCRIPT_DIR"/Avida-ED.bash -u "$AVIDA_REPOSITORY" -r "$REVISION" -p "$SVN_PASSWORD" -s "$AVIDA_SRC_DIR" -b "$AVIDA_BLD_DIR" -q "$ARCHIVES_DIR"/qt-mac-free-3.3.5 -n "$BOOST_VERSION_STRING" -v "$DEBUG"
+	fi
+	if [ "${DEBUG}" == "Y" ]; then set -x; fi
+fi


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/All.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Avida-ED.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Avida-ED.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Avida-ED.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+# Installs Python from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -u <repository_url> [-r <revision_number>] -p <svn_password> -b <build_path> -s <source_subdir> -q <qt_dir> -n <boost_version_number_string> [-v Y]" >&2
+	echo "  -u <repository_url> -- full url to repository." >&2
+	echo "  -r <revision_number> -- ." >&2
+	echo "  -p <svn_password> -- password for svn user." >&2
+	echo "  -s <source_dir> -- full path to directory where source code should be stored." >&2
+	echo "  -b <build_dir> -- full path to directory where build should take place." >&2
+	echo "  -q <qt_dir> -- full path to qt." >&2
+	echo "  -n <boost_version_number_string>" >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-u )	REPOSITORY_URL=$2; shift 2;;
+		-p )	SVN_PASSWORD=$2; shift 2;; 
+		-r )	REVISION=$2; shift 2;;
+		-s )	SOURCE_DIR=$2; shift 2;;
+		-b )	BUILD_DIR=$2; shift 2;;
+		-q )	QTDIR=$2; shift 2;;
+		-n )	BOOST_VERSION=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$REPOSITORY_URL" == "" ]; then usage; fi
+if [ "$SOURCE_DIR" == "" ]; then usage; fi
+if [ "$BUILD_DIR" == "" ]; then usage; fi
+if [ "$QTDIR" == "" ]; then usage; fi
+if [ "$BOOST_VERSION" == "" ]; then usage; fi
+
+`"$SCRIPT_DIR/qt-environment.bash" -q "$QTDIR" -v "$DEBUG"`
+PYTHON_PREFIX=`/usr/local/bin/python -c "import distutils.sysconfig; print distutils.sysconfig.PREFIX"`
+PYTHON_FRAMEWORK_PREFIX=`/usr/local/bin/python -c "import distutils.sysconfig; print distutils.sysconfig.get_config_var('PYTHONFRAMEWORKPREFIX')"`
+PYUIC_EXE="$PYTHON_PREFIX/bin/pyuic"
+BOOST_INCLUDE_PATH="/usr/local/include/boost-$BOOST_VERSION"
+BOOST_LIBRARY="boost_python-$BOOST_VERSION"
+
+mkdir -p "$SOURCE_DIR"
+pushd "$SOURCE_DIR"
+
+# Hide svn password...
+if [ "${DEBUG}" == "Y" ]; then set +x; fi
+if [ "$REVISION" == "" ]
+then
+	/usr/local/bin/svn checkout --username avidaedward --password "$SVN_PASSWORD" "$REPOSITORY_URL" Avida-ED
+else
+	/usr/local/bin/svn checkout -r "$REVISION" --username avidaedward --password "$SVN_PASSWORD" "$REPOSITORY_URL" Avida-ED
+fi
+if [ "${DEBUG}" == "Y" ]; then set -x; fi
+
+if [ $? != 0 ]
+then
+	echo "... Failed."
+	echo "Couldn't retrieve Avida-ED source code from repository URL \"$REPOSITORY_URL\"."
+	exit 1
+fi
+popd
+
+mkdir -p "$BUILD_DIR/Avida-ED"
+pushd "$BUILD_DIR/Avida-ED"
+rm -fr "$BUILD_DIR/Avida-ED/bin/Avida-ED.app" "$BUILD_DIR/Avida-ED/source/python/build"
+/usr/local/bin/cmake \
+ -DAVD_GUI_NCURSES:BOOL=ON \
+ -DAVD_GUI_PYQT:BOOL=ON \
+ -DAVD_PRIMITIVE:BOOL=ON \
+ -DAVD_PY_BINDINGS:BOOL=ON \
+ -DAVD_PY_MODULE:BOOL=OFF \
+ -DAVD_UNIT_TESTS:BOOL=OFF \
+ -DBOOST_INCLUDE_PATH:PATH="$BOOST_INCLUDE_PATH" \
+ -DBOOST_LIBRARY:FILEPATH="$BOOST_LIBRARY" \
+ -DBOOST_VERSION:STRING="$BOOST_VERSION" \
+ -DCMAKE_BACKWARDS_COMPATIBILITY:STRING=2.0 \
+ -DCMAKE_BUILD_TYPE:STRING=Release \
+ -DPYTHON_FRAMEWORK_PATH:PATH="$PYTHON_FRAMEWORK_PREFIX" \
+ -DPYUIC:FILEPATH="$PYUIC_EXE" \
+ "$SOURCE_DIR/Avida-ED" 
+
+make -k
+


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Avida-ED.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Boost.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Boost.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Boost.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+# Installs Boost from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+PYTHON_PREFIX=`/usr/local/bin/python -c "import distutils.sysconfig; print distutils.sysconfig.PREFIX"`
+PYTHON_VERSION=`/usr/local/bin/python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_version()"`
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+
+mkdir -p "$BUILD_PATH/$SOURCE_SUBDIR"
+pushd "$BUILD_PATH/$SOURCE_SUBDIR"
+
+# Build Boost's build tool, bjam.
+pushd tools/build/jam_src
+./build.sh
+popd
+mv tools/build/jam_src/bin.macosxppc/bjam ./
+
+./bjam -sTOOLS=darwin "-sBUILD=release <runtime-link>shared <threading>multiple" --prefix=/usr/local --with-python-root="$PYTHON_PREFIX" -sPYTHON_VERSION=$PYTHON_VERSION install
+
+if [ -f /usr/local/lib/libboost_python*.dylib ]
+then
+	echo "Build of Boost.Python succeeded."
+else
+	echo "Build of Boost.Python failed."
+	exit 1
+fi
+
+for lib in /usr/local/lib/libboost*.dylib; do install_name_tool -id $lib $lib; done
+
+pushd libs/python/pyste/install
+/usr/local/bin/python ./setup.py install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Boost.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/CMake.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/CMake.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/CMake.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs the CMake package from the specified disk image.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/pkg-install.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/CMake.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ElementTree.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ElementTree.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ElementTree.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs ElementTree from the specified archive.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/generic-python-pkg.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ElementTree.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/GCC-XML.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/GCC-XML.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/GCC-XML.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# Installs GCC-XML from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+
+mkdir -p "$BUILD_PATH/$SOURCE_SUBDIR"/build
+pushd "$BUILD_PATH/$SOURCE_SUBDIR"/build
+/usr/local/bin/cmake "$SOURCE_PATH" -DCMAKE_INSTALL_PREFIX:PATH=/usr/local
+make
+make install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/GCC-XML.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/IPython.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/IPython.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/IPython.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs IPython from the specified archive.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/generic-python-pkg.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/IPython.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Numeric.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Numeric.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Numeric.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs Numeric from the specified archive.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/generic-python-pkg.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Numeric.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Py2App.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Py2App.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Py2App.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs Py2App from the specified archive.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/generic-python-pkg.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Py2App.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQt.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQt.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQt.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+# Installs PyQt from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> -q <qt_dir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -q <qt_dir> -- full path to qt." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-q )	QTDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+if [ "$QTDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+`"$SCRIPT_DIR/qt-environment.bash" -q "$QTDIR" -v "$DEBUG"`
+
+mkdir -p "$BUILD_PATH"; pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"; pushd "$SOURCE_SUBDIR"
+yes yes | /usr/local/bin/python ./configure.py
+make install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQt.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQwt.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQwt.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQwt.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# Installs PyQwt from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> -q <qt_dir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -q <qt_dir> -- full path to qt." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-q )	QTDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+if [ "$QTDIR" == "" ]; then usage; fi
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+`"$SCRIPT_DIR/qt-environment.bash" -q "$QTDIR" -v "$DEBUG"`
+
+mkdir -p "$BUILD_PATH"
+pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"
+pushd "$SOURCE_SUBDIR"/configure
+/usr/local/bin/python ./configure.py
+make install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/PyQwt.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Python.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Python.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Python.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+# Installs Python from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+
+mkdir -p "$BUILD_PATH"
+pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"
+pushd "$SOURCE_SUBDIR"
+"$SOURCE_PATH/configure" --enable-framework
+make clean
+make
+make frameworkinstall


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Python.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Qt.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Qt.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Qt.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# Installs Qt from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> -q <qt_dir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -q <qt_dir> -- full path to qt." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-q )	QTDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+if [ "$QTDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+`"$SCRIPT_DIR/qt-environment.bash" -q "$QTDIR" -v "$DEBUG"`
+
+mkdir -p "$BUILD_PATH"
+pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"
+pushd "$SOURCE_SUBDIR"
+yes yes | "$SOURCE_PATH/configure" -libdir /usr/local/lib -thread -verbose
+# The generated makefile isn't parallelized, so we can't use -j2.
+make install
+
+for lib in "$BUILD_PATH/$SOURCE_SUBDIR"/lib/libqt-mt*.dylib /usr/local/lib/libqt-mt*.dylib; do install_name_tool -id /usr/local/lib/libqt-mt.3.dylib $lib; done
+
+for lib in "$BUILD_PATH/$SOURCE_SUBDIR"/lib/libqui*.dylib /usr/local/lib/libqui*.dylib; do install_name_tool -change libqt-mt.3.dylib /usr/local/lib/libqt-mt.3.dylib $lib; install_name_tool -id /usr/local/lib/libqui.1.dylib $lib; done


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Qt.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ReadLine.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ReadLine.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ReadLine.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+# Installs Readline from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+# Error if too many or too few command-line arguments were parsed.
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+
+mkdir -p "$BUILD_PATH"
+pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"
+pushd "$SOURCE_SUBDIR"
+"$SOURCE_PATH/configure"
+make clean
+make
+make install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/ReadLine.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/SIP.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/SIP.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/SIP.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# Installs SIP from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> -q <qt_dir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -q <qt_dir> -- full path to qt." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-q )	QTDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+if [ "$QTDIR" == "" ]; then usage; fi
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+`"$SCRIPT_DIR/qt-environment.bash" -q "$QTDIR" -v "$DEBUG"`
+
+mkdir -p "$BUILD_PATH"
+pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"
+pushd "$SOURCE_SUBDIR"
+/usr/local/bin/python ./configure.py
+make install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/SIP.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Subversion.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Subversion.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Subversion.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs the Subversion Client package from the specified disk image.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/pkg-install.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Subversion.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Xcode.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Xcode.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Xcode.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+# Installs the Xcode package from the specified disk image.
+SCRIPT_DIR=`dirname "$0"`
+"$SCRIPT_DIR/pkg-install.bash" "$@"


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/Xcode.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/generic-python-pkg.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/generic-python-pkg.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/generic-python-pkg.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# Installs Python package from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+SCRIPT_DIR=`dirname "$0"`
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+"$SCRIPT_DIR/unpack-tarball.bash" -a "$ARCHIVE_PATH" -b "$BUILD_PATH" -s "$SOURCE_SUBDIR" -v "$DEBUG"
+
+mkdir -p "$BUILD_PATH"
+pushd "$BUILD_PATH"
+mkdir -p "$SOURCE_SUBDIR"
+pushd "$SOURCE_SUBDIR"
+/usr/local/bin/python ./setup.py install


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/generic-python-pkg.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/pkg-install.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/pkg-install.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/pkg-install.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Installs the package from the specified disk image.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to disk image." >&2
+	echo "  -p <pkg_name> -- name of package to search for." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+INSTALL_DONE=N
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-p )	PKG_NAME=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$PKG_NAME" == "" ]; then usage; fi
+
+# Mount archive
+echo "Trying to mount archive..."
+PUPPETSTRINGS=`hdiutil attach "$ARCHIVE_PATH" -puppetstrings`
+if [ $? != 0 ]
+then
+	echo "... Failed."
+	echo "Couldn't mount archive \"$ARCHIVE_PATH\"."
+	exit 1
+else
+	echo "... Okay."
+fi
+
+# Locate and install package
+MOUNTPOINT=`echo $PUPPETSTRINGS | sed -n 's/.*\(\/Volumes\/.*$\)/\1/p'`
+echo "Trying to locate package..."
+if [ $? != 0 ]
+then
+	echo "... Failed."
+	echo "Couldn't find package under mountpoint \"$MOUNTPOINT\"."
+else
+	echo "... Okay."
+
+	PACKAGE=`find "$MOUNTPOINT" -path "$PKG_NAME"`
+	echo "Trying to install package..."
+	installer -pkg "$PACKAGE" -target /
+	if [ $? != 0 ]
+	then
+		echo "... Failed."
+		echo "Couldn't install package \"$PACKAGE\""
+	else
+		echo "... Okay."
+# Success!
+		INSTALL_DONE=Y
+	fi
+
+fi
+
+# Unmount archive
+FILESYSTEM=`echo $PUPPETSTRINGS | awk '/\/dev\/disk?/ { print $1 }'`
+echo "Trying to unmount archive..."
+hdiutil detach "$FILESYSTEM"
+if [ $? != 0 ]
+then
+	echo "... Failed."
+	echo "Couldn't unmount archive \"$ARCHIVE_PATH\""
+	echo "at filesystem \"$FILESYSTEM\"."
+	exit 1
+else
+	echo "... Okay."
+fi
+
+if [ "${INSTALL_DONE}" == "Y" ]
+then
+	echo "Install succeeded."
+	exit 0
+else
+	echo "Install failed."
+	exit 1
+fi
+


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/pkg-install.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/qt-environment.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/qt-environment.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/qt-environment.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# echos environment variables for accessing Qt.
+
+usage()
+{
+	echo "Use: $0 -q <qt_dir> [-v Y]" >&2
+	echo "  -q <qt_dir> -- full path to qt." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-q )	QTDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$QTDIR" == "" ]; then usage; fi
+
+echo export QTDIR="$QTDIR"
+echo export PATH=$QTDIR/bin:$PATH
+if [ "$DYLD_LIBRARY_PATH" == "" ]
+then
+	echo export DYLD_LIBRARY_PATH=$QTDIR/lib
+else
+	echo export DYLD_LIBRARY_PATH=$QTDIR/lib:$DYLD_LIBRARY_PATH
+fi
+


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/qt-environment.bash
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/save-output
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/save-output	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/save-output	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,73 @@
+#!/usr/bin/env expect
+
+set today "[exec date +%m%d.%H%M%S]"
+
+# if the "-b" option is used, the next argument will be used as the root
+# name for the outfile.  otherwise, the command-line is used as the root
+# name for the outfile.
+if {[string match [lindex $argv 0] "-b"]} {
+  set outfile ",$today [lindex $argv 1]"
+  set argv "[lrange $argv 2 end]"
+} else {
+  set outfile ",$today $argv"
+}
+set outfile "[exec echo $outfile | sed -e s#/#:#g]"
+
+# tell user where output will be saved, and what command is being logged.
+send_user "\n***\n"
+send_user "date-tagging output of command\n"
+send_user "\t\"$argv\"\n"
+send_user "to file"
+send_user "\t\"$outfile\"\n"
+send_user "***\n\n"
+
+# begin logging to outfile.
+log_file -noappend "$outfile"
+
+# log the command to outfile
+send_log "***\n"
+send_log "starting at $today\n"
+send_log "command:\n"
+send_log "***\n\n"
+
+send_log "$argv\n\n"
+
+# log environment to outfile
+send_log "***\n"
+send_log "exported environment:\n"
+send_log "***\n\n"
+send_log [exec bash -c export]
+
+# log output of command to outfile
+send_log "\n\n***\n"
+send_log "output follows...\n"
+send_log "***\n\n"
+eval spawn -noecho $argv
+# permit user to respond interactively to commands which take control of
+# the terminal device.
+interact
+
+# when command is finished, save its return status.
+set resary [wait]
+
+# log time of command completion to outfile
+send_user "\n\n***\n"
+send_user "finished at [exec date +%y%m%d.%H%M%S]\n"
+
+# if command failed, note failure in outfile.
+if {[lindex $resary 3] == 0} {
+  send_user "***\n\n"
+} else {
+  if {[lindex $resary 2] == -1} {
+    send_user "operating system error number:  [lindex $resary 3 ]...\n"
+  } else {
+    send_user "error status number:  [lindex $resary 3 ]...\n"
+  }
+  send_user "***\n\n"
+}
+
+# stop logging, close outfile, and remove annoying carriage returns from
+# outfile.
+log_file
+system cat "\"$outfile\"" | tr -d "\r" > "\",$outfile\""
+system mv "\",$outfile\"" "\"$outfile\""


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/save-output
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/unpack-tarball.bash
===================================================================
--- branches/developers/avida-edward/source/python/scripts/osx/one_step_build/unpack-tarball.bash	2006-01-26 20:26:24 UTC (rev 449)
+++ branches/developers/avida-edward/source/python/scripts/osx/one_step_build/unpack-tarball.bash	2006-01-27 02:33:19 UTC (rev 450)
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Installs from the specified archive.
+
+usage()
+{
+	echo "Use: $0 -a <archive_path> -b <build_path> -s <source_subdir> [-v Y]" >&2
+	echo "  -a <archive_path> -- full path to archive." >&2
+	echo "  -b <build_path> -- full path to directory where build should take place." >&2
+	echo "  -s <source_subdir> -- name of subdirectory containing source code." >&2
+	echo "  -v Y -- be verbose." >&2
+	exit 1
+}
+
+INSTALL_DONE=N
+
+# Parse command-line arguments
+for arg
+do
+	case "$arg" in
+		-a )	ARCHIVE_PATH=$2; shift 2;;
+		-b )	BUILD_PATH=$2; shift 2;;
+		-s )	SOURCE_SUBDIR=$2; shift 2;;
+		-v )	DEBUG=$2; shift 2;;
+	esac
+done
+
+if [ "${DEBUG}" == "Y" ]; then echo "I'm going to be verbose, to make debugging easier..."; set -x; fi
+if [ $# != 0 ]; then usage; fi
+if [ "$ARCHIVE_PATH" == "" ]; then usage; fi
+if [ "$BUILD_PATH" == "" ]; then usage; fi
+if [ "$SOURCE_SUBDIR" == "" ]; then usage; fi
+
+SOURCE_PREFIX=`dirname "$ARCHIVE_PATH"`
+SOURCE_PATH=$SOURCE_PREFIX/$SOURCE_SUBDIR
+
+pushd "$SOURCE_PREFIX"
+if [ -d "$SOURCE_PATH" ]
+then
+	echo "Trying to rename existing source subdirectory..."
+	DATE_STR=`date +%m%d.%H%M%S`
+	mv "$SOURCE_PATH" "$HOME/.Trash/src.$SOURCE_SUBDIR.$DATE_STR"
+fi
+if [ -d "$BUILD_PATH/$SOURCE_SUBDIR" ]
+then
+	echo "Trying to rename existing source subdirectory..."
+	DATE_STR=`date +%m%d.%H%M%S`
+	mv "$BUILD_PATH/$SOURCE_SUBDIR" "$HOME/.Trash/bld.$SOURCE_SUBDIR.$DATE_STR"
+fi
+
+
+ARCHIVE_UNPACKED=N
+echo "Trying to upack archive as though it's a gzipped tarball..."
+tar xfz $ARCHIVE_PATH
+if [ $? != 0 ]
+then
+	echo "... Failed."
+	echo "\"$ARCHIVE_PATH\" doesn't appear to be a gzipped tarball."
+else
+	echo "... Okay."
+	ARCHIVE_UNPACKED=Y
+fi
+if [ "$ARCHIVE_UNPACKED" == "N" ]
+then
+	echo "Trying to upack archive as though it's a bzipped tarball..."
+	tar xfj $ARCHIVE_PATH
+	if [ $? != 0 ]
+	then
+		echo "... Failed."
+		echo "\"$ARCHIVE_PATH\" doesn't appear to be a bzipped tarball."
+	else
+		echo "... Okay."
+		ARCHIVE_UNPACKED=Y
+	fi
+fi
+if [ "$ARCHIVE_UNPACKED" == "N" ]
+then
+	echo "Trying to upack archive using OSX's \"BOMArchiveHelper\" application..."
+	pushd "$HOME/.Trash"
+	/System/Library/CoreServices/BOMArchiveHelper.app/Contents/MacOS/BOMArchiveHelper "$ARCHIVE_PATH"
+	if [ $? != 0 ]
+	then
+		echo "... Failed."
+		echo "\"BOMArchiveHelper\" application can't figure out how to open \"$ARCHIVE_PATH\"."
+	else
+		echo "... Okay."
+		ARCHIVE_UNPACKED=Y
+	fi
+	popd
+fi
+
+
+if [ "$ARCHIVE_UNPACKED" == "N" ]
+then
+	echo "Could not unpack tarball."
+	exit 1
+else
+	echo "Tarball unpacked."
+	exit 0
+fi


Property changes on: branches/developers/avida-edward/source/python/scripts/osx/one_step_build/unpack-tarball.bash
___________________________________________________________________
Name: svn:executable
   + *




More information about the Avida-cvs mailing list